Bug 1284894 - Only shows ingredients and picture
Only shows ingredients and picture
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 07:14 EST by Sylvia Sánchez
Modified: 2015-12-15 10:21 EST (History)
3 users (show)

See Also:
Fixed In Version: gourmet-0.17.4-5.fc23 gourmet-0.17.4-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:24:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvia Sánchez 2015-11-24 07:14:58 EST
Description of problem:
When you open a recipe it only shows the picture (if any) and the ingredients list. No other info.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Start Gourmet
2.Open a recipe
3.No information shown but picture and ingredients.

Actual results:


Expected results:


Additional info:
This is a copy of the errors thrown on console: 
elib.intl failed to load.
IF YOU HAVE TROUBLE WITH TRANSLATIONS, MAKE SURE YOU HAVE THIS LIBRARY INSTALLED.
elib.intl failed to load.
IF YOU HAVE TROUBLE WITH TRANSLATIONS, MAKE SURE YOU HAVE THIS LIBRARY INSTALLED.
No gst player
No windows player
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 383, in cell_data_func
    pb = self.star_generator.get_pixbuf(int(val),self.upper)
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 80, in get_pixbuf

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 254, in <lambda>
    'edit_ingredients': lambda *args: self.reccard.show_edit(module='ingredients'),
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 104, in show_edit
    self.recipe_editor = RecEditor(self, self.rg,self.current_rec,new=self.new)
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 848, in __init__
    self.setup_modules()
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 911, in setup_modules
    instance = klass(self)
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 1358, in __init__
    RecEditorModule.__init__(self, *args)
  File "/usr/lib/python2.7/site-packages/gourmet/plugin.py", line 429, in __init__
    self.setup_main_interface()
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 1364, in setup_main_interface
    self.init_recipe_widgets()
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 1407, in init_recipe_widgets
    self.update_from_database()
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 1442, in update_from_database
    self.rw[e].set_value(int(getattr(self.current_rec,e) or 0))
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 250, in set_value
    self.image.set_value(value)
AttributeError: 'StarButton' object has no attribute 'image'
Comment 1 Peter Gordon 2015-12-02 15:43:40 EST
Thanks for the bug report. This appears to be the same, or at least related, to bu# 1287562. The fix from upstream's git repository is on its way to Rawhide; with F22 and F23 updates to follow.
Comment 2 Fedora Update System 2015-12-02 15:58:20 EST
gourmet-0.17.4-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360
Comment 3 Fedora Update System 2015-12-02 16:31:21 EST
gourmet-0.17.4-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff
Comment 4 Fedora Update System 2015-12-03 20:35:36 EST
gourmet-0.17.4-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gourmet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360
Comment 5 Fedora Update System 2015-12-03 21:21:54 EST
gourmet-0.17.4-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gourmet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff
Comment 6 Sylvia Sánchez 2015-12-11 09:12:40 EST
Solved after this update.  (Fedora 23 Cinnamon)
Thanks!
Comment 7 Fedora Update System 2015-12-15 08:24:07 EST
gourmet-0.17.4-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-12-15 10:20:59 EST
gourmet-0.17.4-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.